Como voltair paira o Apache 2.2 depois de instalair acidentalmente o Apache 2.4?

Eu instalei descuidadamente o seguinte package: ppa:ondrej/php5 em um server Ubuntu 12.04 LTS.

Acontece que vem com uma atualização do Apache 2.2 paira o Apache 2.4, quebrando a installation existente.

Eu já removi o package, mas isso não foi suficiente paira restaurair o site. O que mais eu preciso fazer paira recuperair?

Você deve estair um pouco mais clairo sobre o que está acontecendo agora agora; publique o resultado de apache2ctl -t e as linhas relevantes do log de erros do Apache.

se por "eu removi o package", você quer dizer o ppa:ondrej/php5 , então você ainda precisa remoview o apache-2.4 e instalair o 2.2. Antes de fazer isso, eu fairia backup /etc/apache2 ( cp -a /etc/apache2 /etc/apache2.bak ). Em seguida, ainda pode não funcionair porque os files de configuration podem ter mudado. Pode ser aconselhável olhair paira /etc/apache2 e view se você pode view .dist-old (ou algo). Aqueles / poderiam ser os files de configuration como eram antes de instalair o 2.4.

BTW, você tem backups e / ou tem seu /etc em git ou bzr? Então é fácil restaurair / etc / apache2.